# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global debug_package %{nil}

Name:    ayatana-ido
Version: 0.9.1
Release: 1.ndias%{?dist}
Summary: Ayatana Indicator Display Objects 

License: LGPLv3
URL:     https://github.com/AyatanaIndicators/ayatana-ido
Source0: https://github.com/AyatanaIndicators/ayatana-ido/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires: cmake, gcc, gcc-c++, glib2-devel, gtk3-devel, vala
BuildRequires: gobject-introspection-devel


%description
yatana IDO provides custom GTK menu widgets for Ayatana System Indicators.
Below is a list of currently available menu item types:

- Basic menu item
- Scale menu item
- Entry menu item
- Source menu item
- Location menu item
- Switch menu item
- Alarm menu item
- Media player menu item
- Switch menu item
- Application menu item
- Playback menu item
- Timestamp menu item
- Appointment menu item
- Progress menu item
- User menu item
- Calendar menu item
- Removable menu item

%package devel
Summary: Devel files of yatana IDO

%description devel
Devel files of yatana IDO

%prep
%setup -q


%build
mkdir build
cd build
cmake .. 
make %{?_smp_mflags}


%install
cd build
%make_install
strip --strip-debug --strip-unneeded $RPM_BUILD_ROOT/%{_libdir}/libayatana-ido3-0.4.so.0.0.0


%files devel
%{_includedir}/libayatana-ido3-0.4/libayatana-ido/*.h
%{_libdir}/pkgconfig/libayatana-ido3-0.4.pc
%{_datadir}/gir-1.0/AyatanaIdo3-0.4.gir
%{_libdir}/libayatana-ido3-0.4.so



%files 
%doc AUTHORS AUTHORS.Canonical ChangeLog NEWS NEWS.Canonical
%license COPYING COPYING.LGPL.2.1 

%{_libdir}/girepository-1.0/AyatanaIdo3-0.4.typelib
%{_libdir}/libayatana-ido3-0.4.so.0
%{_libdir}/libayatana-ido3-0.4.so.0.0.0
%{_datadir}/vala/vapi/AyatanaIdo3-0.4.vapi


%changelog
* Tue May 17 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.9.1-1.ndias
- Version 0.9.1

